Loading...
Searching...
No Matches
BALL::VIEW::RaytraceableGrid Class Reference

`#include <BALL/VIEW/DATATYPE/raytraceableGrid.h>`

## Public Member Functions

| RaytraceableGrid ()
| RaytraceableGrid (RegularData3D *grid)
virtual | ~RaytraceableGrid ()
float | getGridMinValue ()
float | getGridMaxValue ()
void | binaryWrite (const String &filename) const

## Protected Attributes

RegularData3D * | grid_

## Detailed Description

Definition at line 16 of file raytraceableGrid.h.

## Constructor & Destructor Documentation

## RaytraceableGrid() [1/2]

BALL::VIEW::RaytraceableGrid::RaytraceableGrid | ( |  | ) |

inline

Definition at line 19 of file raytraceableGrid.h.

## RaytraceableGrid() [2/2]

BALL::VIEW::RaytraceableGrid::RaytraceableGrid | ( | RegularData3D * | grid | ) |

inline

Definition at line 24 of file raytraceableGrid.h.

## ~RaytraceableGrid()

virtual BALL::VIEW::RaytraceableGrid::~RaytraceableGrid | ( |  | ) |

inline virtual

Definition at line 30 of file raytraceableGrid.h.

## Member Function Documentation

## binaryWrite()

void BALL::VIEW::RaytraceableGrid::binaryWrite | ( | const String & | filename | ) | const

Write the grid in binary format

Exceptions

  Exception::FileNotFound | if the write failed

## getGridMaxValue()

float BALL::VIEW::RaytraceableGrid::getGridMaxValue | ( |  | ) |

## getGridMinValue()

float BALL::VIEW::RaytraceableGrid::getGridMinValue | ( |  | ) |

## Member Data Documentation

## grid_

RegularData3D* BALL::VIEW::RaytraceableGrid::grid_

protected

Definition at line 44 of file raytraceableGrid.h.